# ionoscloud\_location

The **Location data source** can be used to search for and return an existing location which can then be used elsewhere in the configuration. If a single match is found, it will be returned. If your search results in multiple matches, the first location from the list will be returned.

## Example Usage

```hcl
data "ionoscloud_location" "example" {
  name    = "karlsruhe"
  feature = "SSD"
}
```

## Argument Reference

* `name` - (Optional) Name of the location to search for.
* `feature` - (Optional) A desired feature that the location must be able to provide.

Either `name` or `feature` must be provided. If none is provided, the datasource will return an error.

## Attributes Reference

The following attributes are returned by the datasource:

* `id` - UUID of the location
* `cpu_architecture` - Array of features and CPU families available in a location
* `cpu_family` - A valid CPU family name.
* `max_cores` - The maximum number of cores available.
* `max_ram` - The maximum number of RAM in MB.
* `vendor` - A valid CPU vendor name.
* `image_aliases` - List of image aliases available for the location


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/terraform-provider/data-sources/location.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
